Package org.bukkit.block.data.type

# Interface PointedDripstone

All Superinterfaces:
  `BlockData`, `Cloneable`, `Waterlogged`

public interface PointedDripstone extends Waterlogged
'thickness' represents the dripstone thickness.
'vertical_direction' represents the dripstone orientation.
Some blocks may not be able to face in all directions, use `getVerticalDirections()` to get all possible directions for this block.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`PointedDripstone.Thickness`
Represents the thickness of the dripstone, corresponding to its position within a multi-block dripstone formation.

## Method Summary

Modifier and Type
Method
Description
`@NotNull PointedDripstone.Thickness`
`getThickness()`
Gets the value of the 'thickness' property.
`@NotNull BlockFace`
`getVerticalDirection()`
Gets the value of the 'vertical_direction' property.
`@NotNull Set<BlockFace>`
`getVerticalDirections()`
Gets the faces which are applicable to this block.
`void`
`setThickness(@NotNull PointedDripstone.Thickness thickness)`
Sets the value of the 'thickness' property.
`void`
`setVerticalDirection(@NotNull BlockFace direction)`
Sets the value of the 'vertical_direction' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`

## Method Details

### getVerticalDirection

@NotNull @NotNull BlockFace getVerticalDirection()
Gets the value of the 'vertical_direction' property.

Returns:
  the 'vertical_direction' value

### setVerticalDirection

void setVerticalDirection(@NotNull @NotNull BlockFace direction)
Sets the value of the 'vertical_direction' property.

Parameters:
  `direction` - the new 'vertical_direction' value

### getVerticalDirections

@NotNull @NotNull Set<BlockFace> getVerticalDirections()
Gets the faces which are applicable to this block.

Returns:
  the allowed 'vertical_direction' values

### getThickness

@NotNull @NotNull PointedDripstone.Thickness getThickness()
Gets the value of the 'thickness' property.

Returns:
  the 'thickness' value

### setThickness

void setThickness(@NotNull @NotNull PointedDripstone.Thickness thickness)
Sets the value of the 'thickness' property.

Parameters:
  `thickness` - the new 'thickness' value